## org.apache.hadoop.examples
Class AggregateWordHistogram

    java.lang.Object
      org.apache.hadoop.examples.AggregateWordHistogram

    public class AggregateWordHistogram

extends Object

This is an example Aggregated Hadoop Map/Reduce application. Computes the histogram of the words in the input texts. To run: bin/hadoop jar hadoop-examples-*.jar aggregatewordhist in-dir out-dir numOfReducers textinputformat

Nested Class Summary
`static class` `AggregateWordHistogram.AggregateWordHistogramPlugin`

Constructor Summary
`AggregateWordHistogram()`

Method Summary
`static void` `main(String[] args)` The main driver for word count map/reduce program.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregateWordHistogram

    public AggregateWordHistogram()

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  The main driver for word count map/reduce program. Invoke this method to submit the map/reduce job.

  Throws:
    `IOException` - When there is communication problems with the job tracker.

Copyright © 2009 The Apache Software Foundation